VARKON Version 1.15 1997-10-24

> ## vecp - Function

> Geometrical function
> Description
> Returns a position defined by its polar coordinates.
> Syntax
> vecp(r, a, z)

> FLOAT | r;
> FLOAT | a;
> FLOAT | z;

> Principal parameters

> r | - Radius
> a | - Angle in degrees

> Optional parameters

> z | - Z-component, default = 0.0

> Return value
> A VECTOR value equal to the position specified.
> Example
> vecp(1,90)
> The same as X=0, Y=1 and Z =0
> Comment
> In a 2D-module only r- and a-components are permitted. In a 3D module the Z-component is optional and only nedds to be supplied if not equal to zero.

VARKON Homepage | Index